************
*
* ணࠬ..:  DBU
*  䠩..:  DBUHELP.PRG
* ......:  Dennis L. Dias
* .......:  06/18/86, 06/18/90
* 祭.:   ⥭  ⮡ࠦ Help-⥪
*
* Copyright (c) 1986-1991 Nantucket Corp.  ࠢ ࠭.
*
************
/***********
* 䨪 ந  "" 18 ५ 1991
*     祭 Nantucket Corp.
*  ஢ ⥪⮢ - .. 㡮᪨
* ⥫.: (095) 289-44-77, (095) 289-44-83
* 䠪: (095) 289-34-69
************/



******
*	syshelp
*
*   ᮤন  䠩 DBU.HLP.
*  䠩   ⥪饬 ⠫,  ᫨ ⠬
*  ,    ⠫ 㪠
*  ६ 㦥 PATH
*
*
* 쭠 ६ helpfile ᮤন  㯠
* path\filename,   ப, ᫨ 䠩  
******
PROCEDURE syshelp
local saveColor
PRIVATE hrow, hcol, hwbuf, htext

saveColor := SetColor()

IF EMPTY(M->helpfile)
  error_msg(" DBU.HLP   ("+M->helpfile+")") //  DBU.HLP

ELSE
  * ࠭ ⥪. न 
	hrow = ROW()
  hcol = COL()

  * ࠭ ࠦ  ६
	hwbuf = SAVESCREEN(8, 10, 22, 69)

  * ⪠   뢮 ࠬ
	SetColor(M->color8)
	scroll(8, 10, 22, 69, 0)
	@ 8,10,22,69 BOX M->frame

  * 뢮  ⥪
	SetColor(M->color10)
	@ 8,(76 - LEN(help_title[M->help_code])) / 2;
	SAY "  " + help_title[M->help_code] + "  "

  * 㧪 help-⥪
	htext = helptext(M->helpfile, M->help_code)

  * 몫祭 
	SET CURSOR OFF

  * ᯮ짮 ।  ० "ᬮ"
	SetColor(M->color8)
	MEMOEDIT(M->htext, 9, 11, 21, 68, .F.)

  * ⠭ ࠦ
	RESTSCREEN(8, 10, 22, 69, M->hwbuf)

  * ⠭ 
	@ M->hrow,M->hcol SAY ""
	IF M->curs_on
		SET CURSOR ON

	ENDIF
ENDIF

* ⠭ । 梥⮢
SetColor(saveColor)
local_func = 0
RETURN


******
*	helptext()
*
* 롮ઠ ⥪  help-䠩,   ࠭  ᫥饬 ଠ
*
* o  砫 help-䠩 室 ⠡, ப ன ᮤঠ
*   ᬥ饭      ⥪  help-䠩.
*
* o ப ⠡  4   ᮤন  16- ⮢ 
*    ᫠.  ࢮ ᫮ -  ᬥ饭  砫 䠩 
*   ᮮ⢥饣 ⥪; ஥ ᫮ -  ⥪  .
*
*
* o ப ⠡  ᮮ⢥騥 ⥪ 㯮冷祭   浪
*    ᯮ  롮 ᮮ⢥饣 ⥪.  맮
*   㭪樨 ॡ㥬  頥   ६ "help_code".
*
* o  ᫠  ⠡ । ᠭ묨  ⠭
*   Intel,  訩 騩  (Least Significant Byte - LSB)
*   ᠭ ,  訩 (Most Significant Byte - MSB) .
******
FUNCTION helptext

PARAMETERS hfile, hnum
PRIVATE htbuf, hoff, hlen, hhandle

* ⨥ 䠩  祭  ਯ
hhandle = FOPEN(M->hfile)

IF FERROR() = 0
  * १ࢨ஢ 512 ⭮ 
	htbuf = SPACE(512)

  * ⥭ 筮  䠩  
	FREAD(M->hhandle, @htbuf, 512)

  * 롮ઠ ᮮ⢥   ⮢
	htbuf = SUBSTR(M->htbuf, (4 * (M->hnum - 1)) + 1, 4)

  * ८ࠧ  ᥫ (LSB, MSB)  ଠ Clipper-ᥫ
	hoff = ASC(M->htbuf) + (256 * ASC(SUBSTR(M->htbuf, 2)))
	hlen = ASC(SUBSTR(M->htbuf, 3)) + (256 * ASC(SUBSTR(M->htbuf, 4)))

  *   ⥪  䠩
	htbuf = SPACE(M->hlen)

  * 樮஢  ᮮ⢥⢨  ᬥ饭  ⠡
	FSEEK(M->hhandle, M->hoff)

  * 㧪 ⥪  
	FREAD(M->hhandle, @htbuf, M->hlen)

ELSE
  *  ⮩ ப  砥 訡
	htbuf = ""

ENDIF

* ⨥ 䠩  ᢮ ਯ
FCLOSE(M->hhandle)
RETURN M->htbuf


* EOF DBUHELP.PRG