/***
*	Errorsys.prg
* ⠭ ࠡ稪 訡  Clipper 5.0
* Copyright (c) 1990 Nantucket Corp.   ࠢ ࠭.
*
* ஢  ﬨ /m/n/w
*/

#include "error.ch"


// 뢮 ᮮ饭  ⠭⭮ ன⢮ STDERR
#command ? <list,...>   =>  ?? Chr(13) + Chr(10) ; ?? <list>
#command ?? <list,...>  =>  OutErr(<list>)


// ᯮ 
#define NTRIM(n)		( LTrim(Str(n)) )



/***
*	ErrorSys()
*
* 砭:  ⮬᪨ ᪠  砫 ࠡ
*/

proc ErrorSys()
	ErrorBlock( {|e| DefError(e)} )
return




/***
*	DefError()
*/
static func DefError(e)
local i, cMessage, aOptions, nChoice



  //  㬮砭     
	if ( e:genCode == EG_ZERODIV )
		return (0)
	end


  //  訡  䠩  ⥢ 㦥..⠭ NETERR()
  //  祭 SUBSYSTEM  㬮砭
	if ( e:genCode == EG_OPEN .and. e:osCode == 32 .and. e:canDefault )

		NetErr(.t.)
		return (.f.)									// NOTE

	end


  //  訡 ஢  ६ APPEND BLANK..⠭ NETERR()
  //  祭 SUBSYSTEM  㬮砭
	if ( e:genCode == EG_APPENDLOCK .and. e:canDefault )

		NetErr(.t.)
		return (.f.)									// NOTE

	end



  // ஥ ᮮ饭  訡
	cMessage := ErrorMessage(e)


  // ஥ ᨢ 権  롮
  // aOptions := {"ࢠ", ""}  // 1,2
  aOptions := {""}                 // 1

	if (e:canRetry)
    AAdd(aOptions, "")             // 2
	end

	if (e:canDefault)
    AAdd(aOptions, "ய")            // 3
	end


  // ⨢ ALERT-
	nChoice := 0
	while ( nChoice == 0 )

		if ( Empty(e:osCode) )
			nChoice := Alert( cMessage, aOptions )

		else
			nChoice := Alert( cMessage + ;
              ";( DOS-訡: " + NTRIM(e:osCode) + ")", ;
							aOptions )
		end


		if ( nChoice == NIL )
			exit
		end

	end


	if ( !Empty(nChoice) )

    // 믮  樨 
*    if ( nChoice == ? )                   // ࢠ - Break
*      Break(e)
*    endif

    if ( nChoice == 2 )               //  - Retry
			return (.t.)

    elseif ( nChoice == 3 )               // ய - Default
			return (.f.)

		end

	end


  // ⮡ࠦ ᮮ饭  ⥪ 맮 楤 ( )
	if ( !Empty(e:osCode) )
    cMessage += " ( DOS-訡: " + NTRIM(e:osCode) + ") "
	end

	? cMessage
	i := 2
	while ( !Empty(ProcName(i)) )
    ? "맮  ", Trim(ProcName(i)) + ;
			"(" + NTRIM(ProcLine(i)) + ")  "

		i++
	end


  //   DOS
	ErrorLevel(1)
	QUIT

return (.f.)




/***
*	ErrorMessage()
*/
static func ErrorMessage(e)
local cMessage


  // 砫 ᮮ饭  訡
  cMessage := if( e:severity > ES_WARNING, "訡 ", "।० " )


  //   ⥬ (᫨ 㯭)
	if ( ValType(e:subsystem) == "C" )
		cMessage += e:subsystem()
	else
		cMessage += "???"
	end


  //  SUBSYSTEM  訡 (᫨ 㯭)
	if ( ValType(e:subCode) == "N" )
		cMessage += ("/" + NTRIM(e:subCode))
	else
		cMessage += "/???"
	end


  //  ᠭ 訡 (᫨ 㯭)
	if ( ValType(e:description) == "C" )
    cMessage += (" " + e:description)
	end


  //   FILENAME,   樨
	if ( !Empty(e:filename) )
		cMessage += (": " + e:filename)

	elseif ( !Empty(e:operation) )
		cMessage += (": " + e:operation)

	end


return (cMessage)