/***
*	Getsys.prg
* ⠭⭠ GET/READ-⥬  Clipper 5.0
* Copyright (c) 1990, 1991 Nantucket Corp.   ࠢ ࠭.
*
* ஢  ﬨ: /m/n/w
*/

#include "Set.ch"
#include "Inkey.ch"
#include "Getexit.ch"

#define K_UNDO          K_CTRL_U


//  ६ ﭨ  ⨢樨 READ
static Format
static Updated := .f.
static KillRead
static BumpTop
static BumpBot
static LastExit
static LastPos
static ActiveGet
static ReadProcName
static ReadProcLine


//  ᨢ, ᯮ㥬  ࠭ ﭨ ६
#define GSV_KILLREAD		1
#define GSV_BUMPTOP			2
#define GSV_BUMPBOT			3
#define GSV_LASTEXIT		4
#define GSV_LASTPOS			5
#define GSV_ACTIVEGET		6
#define GSV_READVAR 		7
#define GSV_READPROCNAME	8
#define GSV_READPROCLINE	9

#define GSV_COUNT			9



/***
*	ReadModal()
* ⠭⭠ 㭪 ᯮ READ  ᨢ ନ஢
*  GET.
*/
func ReadModal( GetList )

local get
local pos
local savedGetSysVars


	if ( ValType(Format) == "B" )
		Eval(Format)
	end

	if ( Empty(getList) )
    //  ᮢ⨬  S87
        SetPos( MaxRow()-1, 0 )
    return (.f.)  // 室  祭 "", ஥ 筮  
	end


  // ࠭ ﭨ  ६
	savedGetSysVars := ClearGetSysVars()

  // ⠭ ﭨ  ᯮ짮  SET KEY
	ReadProcName := ProcName(1)
	ReadProcLine := ProcLine(1)


  // ⠭  砫 GET  ⥭
	pos := Settle( Getlist, 0 )

	while ( pos <> 0 )

    // 祭 ᫥饣 GET  ᯨ᪠  ।   ⨢ GET
		get := GetList[pos]
		PostActiveGet( get )


    // ⥭  GET
		if ( ValType( get:reader ) == "B" )
      Eval( get:reader, get )     // ᯮ짮   ⥭
		else
      GetReader( get )        // ᯮ짮 ⠭⭮ 㭪樨 ⥭
		end


    // 室  ᫥饬 GET-ꥪ,   ﭨ 室
    //  ।饣 ⥭
		pos := Settle( GetList, pos )

	end


  // ⠭  ६
	RestoreGetSysVars(savedGetSysVars)

  // ᮢ⨬  S87
    SetPos( MaxRow()-1, 0 )

return (Updated)



/***
*	GetReader()
* ⠭⭠ 㭪 ⥭  筮 GET-ꥪ
*/
proc GetReader( get )


  // ⥭ GET-ꥪ  믮 WHEN-᫮
	if ( GetPreValidate(get) )

    // ⨢ GET-ꥪ  ⥭
		get:SetFocus()

		while ( get:exitState == GE_NOEXIT )

      // ஢ઠ  樠 typeOut (室  ࠭  )
			if ( get:typeOut )
				get:exitState := GE_ENTER
			end

      // ਥ      室  ⥭
			while ( get:exitState == GE_NOEXIT )
				GetApplyKey( get, Inkey(0) )
			end

      //  室, ᫨ ᫮ VALID  믮
			if ( !GetPostValidate(get) )
				get:exitState := GE_NOEXIT
			end

		end

    // ⨢ GET
		get:KillFocus()

	end

return



/***
*	GetApplyKey()
* ᯮ ⢨   , ਭ⮣  Inkey(),  GET-ꥪ.
*
* 砭: GET-ꥪ   䮪 
*/
proc GetApplyKey(get, key)

local cKey
local bKeyBlock


  // 砫 ஢ઠ  SET KEY
	if ( (bKeyBlock := SetKey(key)) <> NIL )

		GetDoSetKey(bKeyBlock, get)
    return                  // . 砭

	end


	do case
	case ( key == K_UP )
		get:exitState := GE_UP

	case ( key == K_SH_TAB )
		get:exitState := GE_UP

	case ( key == K_DOWN )
		get:exitState := GE_DOWN

	case ( key == K_TAB )
		get:exitState := GE_DOWN

	case ( key == K_ENTER )
		get:exitState := GE_ENTER

	case ( key == K_ESC )
		if ( Set(_SET_ESCAPE) )
			get:undo()
			get:exitState := GE_ESCAPE
		end

	case ( key == K_PGUP )
		get:exitState := GE_WRITE

	case ( key == K_PGDN )
		get:exitState := GE_WRITE

	case ( key == K_CTRL_HOME )
		get:exitState := GE_TOP


#ifdef CTRL_END_SPECIAL

  //  ^W , ⠪  ^End ਢ  ᫥ GET-ꥪ
	case (key == K_CTRL_END)
		get:exitState := GE_BOTTOM

#else

  //  㬮砭,  ^W, ⠪  ^End  믮 READ
	case (key == K_CTRL_W)
		get:exitState := GE_WRITE

#endif


	case (key == K_INS)
		Set( _SET_INSERT, !Set(_SET_INSERT) )
		ShowScoreboard()

	case (key == K_UNDO)
		get:Undo()

	case (key == K_HOME)
		get:Home()

	case (key == K_END)
		get:End()

	case (key == K_RIGHT)
		get:Right()

	case (key == K_LEFT)
		get:Left()

	case (key == K_CTRL_RIGHT)
		get:WordRight()

	case (key == K_CTRL_LEFT)
		get:WordLeft()

	case (key == K_BS)
		get:BackSpace()

	case (key == K_DEL)
		get:Delete()

	case (key == K_CTRL_T)
		get:DelWordRight()

	case (key == K_CTRL_Y)
		get:DelEnd()

	case (key == K_CTRL_BS)
		get:DelWordLeft()

	otherwise

		if (key >= 32 .and. key <= 255)

			cKey := Chr(key)

			if (get:type == "N" .and. (cKey == "." .or. cKey == ","))
        IF ('- ' $ get:Buffer).OR.('-0' $ get:Buffer) //  The Nantucket News
          get:ToDecPos()                              //  ******************
          get:Left()                                  //  Volume 5 Number 3
          get:Left()                                  //  November/December 1990
          get:Insert(CHR(45))                         //  Page # 25                                                //  Page # 25
          get:Insert(CHR(48))                         //  ----------------------
        ELSE                                          //   5  3
          get:ToDecPos()                              //  / 1990
        ENDIF                                         //  ࠭ 25
			else
				if ( Set(_SET_INSERT) )
					get:Insert(cKey)
				else
					get:Overstrike(cKey)
				end

				if (get:typeOut .and. !Set(_SET_CONFIRM) )
					if ( Set(_SET_BELL) )
						?? Chr(7)
					end

					get:exitState := GE_ENTER
				end

			end

		end

	endcase

return



/***
*	GetPreValidate()
* ஢ઠ ᫮ 室  Get-ꥪ (। WHEN).
*/
func GetPreValidate(get)

local saveUpdated
local when := .t.


	if ( get:preBlock <> NIL )

		saveUpdated := Updated

		when := Eval(get:preBlock, get)

		get:Display()

		ShowScoreBoard()
		Updated := saveUpdated

	end


	if ( KillRead )
		when := .f.
    get:exitState := GE_ESCAPE    // 맢 室  ReadModal()

	elseif ( !when )
    get:exitState := GE_WHEN    //  믮 ᫮

	else
    get:exitState := GE_NOEXIT    // ⮢  ।஢

	end

return (when)



/***
*	GetPostValidate()
* ஢ઠ ᫮ 室 (। VALID)  GET-ꥪ.
*
* 砭: 訡  ⢥࣠ ⥬ ⠭ ࠭ 
*/
func GetPostValidate(get)

local saveUpdated
local changed, valid := .t.


	if ( get:exitState == GE_ESCAPE )
    return (.t.)          // 室  ESC  祭 "⨭"
	end

	if ( get:BadDate() )
		get:Home()
		DateMsg()
		ShowScoreboard()
    return (.f.)          // 室  祭 ""
	end


  // ᫨ 뫮 ।஢,  ᢮ ६  祭
	if ( get:changed )
		get:Assign()
		Updated := .t.
	end


  // ⮢  ।஢,   砫, ⮡ࠦ
	get:Reset()


  // ஢ઠ ᫮ VALID, ᫨  ᯮ
	if ( get:postBlock <> NIL )

		saveUpdated := Updated

    // ᮢ⨬  S87
        SetPos( get:row, get:col + Len(get:buffer) )

		valid := Eval(get:postBlock, get)

    // ⠭ 
		SetPos( get:row, get:col )

		ShowScoreBoard()
		get:UpdateBuffer()

		Updated := saveUpdated

		if ( KillRead )
      get:exitState := GE_ESCAPE  // 맢 室  ReadModal()
			valid := .t.
		end

	end

return (valid)




/***
*	GetDoSetKey()
* ᯮ ⢨  SET KEY  ६ ।஢.
*/
proc GetDoSetKey(keyBlock, get)

local saveUpdated


  // ᫨ 뫮 ।஢,  ᢮ ६ 祭
	if ( get:changed )
		get:Assign()
		Updated := .t.
	end


	saveUpdated := Updated

	Eval(keyBlock, ReadProcName, ReadProcLine, ReadVar())

	ShowScoreboard()
	get:UpdateBuffer()

	Updated := saveUpdated


	if ( KillRead )
    get:exitState := GE_ESCAPE    // 맢 室  ReadModal()
	end

return



/**************************
*
* READ ࢨ
*
*/



/***
*	Settle()
*
* 頥   Get-ꥪ,  
*
*   - ⥪饩 樨
*   - exitState - ﭨ 砭 ⥭ ⥪饣 ꥪ
*
* 砭: 饭 0 砥 ४饭 READ
* 砭: exitState ண Get ।  Get
*/
static func Settle(GetList, pos)

local exitState


	if ( pos == 0 )
		exitState := GE_DOWN
	else
		exitState := GetList[pos]:exitState
	end


	if ( exitState == GE_ESCAPE .or. exitState == GE_WRITE )
    return ( 0 )          // 砭 1
	end


	if ( exitState <> GE_WHEN )
    //  ଠ樮 ﭨ
		LastPos := pos
		BumpTop := .f.
		BumpBot := .f.

	else
    // ୮ ᯮ짮 exitState, ଠ樮 ﭨ  
		exitState := LastExit

	end


	/***
  *    ।  Get-ꥪ⠬
	*/
	do case
	case ( exitState == GE_UP )
		pos --

	case ( exitState == GE_DOWN )
		pos ++

	case ( exitState == GE_TOP )
		pos := 1
		BumpTop := .T.
		exitState := GE_DOWN

	case ( exitState == GE_BOTTOM )
		pos := Len(GetList)
		BumpBot := .T.
		exitState := GE_UP

	case ( exitState == GE_ENTER )
		pos ++

	endcase


	/***
  * 窨  Get-ꥪ⠬
	*/
  if ( pos == 0 )             // ᫨誮 १ 

		if ( !ReadExit() .and. !BumpBot )
			BumpTop := .T.
			pos := LastPos
			exitState := GE_DOWN
		end

  elseif ( pos == Len(GetList) + 1 )    // ᫨誮 १ 

		if ( !ReadExit() .and. exitState <> GE_ENTER .and. !BumpTop )
			BumpBot := .T.
			pos := LastPos
			exitState := GE_UP
		else
			pos := 0
		end
	end


  //  ﭨ 室  ⥭ Get-ꥪ
	LastExit := exitState

	if ( pos <> 0 )
		GetList[pos]:exitState := exitState
	end

return (pos)



/***
*	PostActiveGet()
* 饭 ⨢ GET-ꥪ 㭪 ReadVar()  GetActive().
*/
static proc PostActiveGet(get)

	GetActive( get )
	ReadVar( GetReadVar(get) )

	ShowScoreBoard()

return



/***
*	ClearGetSysVars()
* ࠭  ⪠  ६ READ. 頥 ᨢ
*  ࠭묨 祭ﬨ
*
* 砭: ﭨ 'Updated' 頥,   ࠭ (ᮢ⨬  S87).
*/
static func ClearGetSysVars()

local saved[ GSV_COUNT ]


	saved[ GSV_KILLREAD ] := KillRead
	KillRead := .f.

	saved[ GSV_BUMPTOP ] := BumpTop
	BumpTop := .f.

	saved[ GSV_BUMPBOT ] := BumpBot
	BumpBot := .f.

	saved[ GSV_LASTEXIT ] := LastExit
	LastExit := 0

	saved[ GSV_LASTPOS ] := LastPos
	LastPos := 0

	saved[ GSV_ACTIVEGET ] := GetActive( NIL )

	saved[ GSV_READVAR ] := ReadVar( "" )

	saved[ GSV_READPROCNAME ] := ReadProcName
	ReadProcName := ""

	saved[ GSV_READPROCLINE ] := ReadProcLine
	ReadProcLine := 0

	Updated := .f.

return (saved)



/***
*   RestoreGetSysVars()
* ⠭  ६ READ  ᨢ ࠭ 祭.
*
* 砭: ﭨ 'Updated'  ⠭ (ᮢ⨬  S87).
*/
static proc RestoreGetSysVars(saved)

	KillRead := saved[ GSV_KILLREAD ]

	BumpTop := saved[ GSV_BUMPTOP ]

	BumpBot := saved[ GSV_BUMPBOT ]

	LastExit := saved[ GSV_LASTEXIT ]

	LastPos := saved[ GSV_LASTPOS ]

	GetActive( saved[ GSV_ACTIVEGET ] )

	ReadVar( saved[ GSV_READVAR ] )

	ReadProcName := saved[ GSV_READPROCNAME ]

	ReadProcLine := saved[ GSV_READPROCLINE ]

return



/***
*	GetReadVar()
* 頥  ६ (READVAR()) GET-ꥪ.
*/
static func GetReadVar(get)

local name := Upper(get:name)


//#ifdef SUBSCRIPT_IN_READVAR
local i

	/***
  *   ணࠬ 砥   ६, 頥
  * ⮩ 㭪樥, 㪠⥫ , ᫨ ६ -  ᨢ.
	*
  * 稥  ।  ஥ ६ get:subscript
	*
  * 砭:  ᮢ⨬  Summer 87
	*/

	if ( get:subscript <> NIL )
		for i := 1 to len(get:subscript)
			name += "[" + ltrim(str(get:subscript[i])) + "]"
		next
	end

//#endif

return (name)



/**********************
*
* ⥬ ࢨ
*
*/



/***
*   __SetFormat()
*     㦥 楤  SET FORMAT
*/
func __SetFormat(b)
	Format := if ( ValType(b) == "B", b, NIL )
return (NIL)


/***
*	__KillRead()
*   㦥 楤  CLEAR GETS
*/
proc __KillRead()
	KillRead := .t.
return


/***
*	GetActive()
*/
func GetActive(g)
local oldActive := ActiveGet
	if ( PCount() > 0 )
		ActiveGet := g
	end
return ( oldActive )


/***
*	Updated()
*/
func Updated()
return (Updated)


/***
*	ReadExit()
*/
func ReadExit(lNew)
return ( Set(_SET_EXIT, lNew) )


/***
*	ReadInsert()
*/
func ReadInsert(lNew)
return ( Set(_SET_INSERT, lNew) )



/**********************************
*
* ⨬  dBASE
*
*/


// न SCOREBOARD -  ﭨ  ࠭
#define SCORE_ROW		0
#define SCORE_COL		60


/***
*   ShowScoreboard()
*/
static proc ShowScoreboard()

local nRow, nCol


    if ( Set(_SET_SCOREBOARD) )
        nRow := Row()
        nCol := Col()

        SetPos(SCORE_ROW, SCORE_COL)
        DispOut( if(Set(_SET_INSERT), "", "") )  // "Ins","   "
        SetPos(nRow, nCol)
     end

return



/***
*	DateMsg()
*/
static proc DateMsg()

local nRow, nCol


    if ( Set(_SET_SCOREBOARD) )
      nRow := Row()
      nCol := Col()

      SetPos(SCORE_ROW, SCORE_COL)
      DispOut("訡  ")
          SetPos(nRow, nCol)

      while ( Nextkey() == 0 )
		end

		SetPos(SCORE_ROW, SCORE_COL)
		DispOut("            ")
        SetPos(nRow, nCol)

	end

return



/***
*   RangeCheck()
*
* 砭:  ᮢ⨬  5.00  ᯮ ன ࠬ
*/

func RangeCheck(get, junk, lo, hi)

local cMsg, nRow, nCol
local xValue


	if ( !get:changed )
		return (.t.)
	end

	xValue := get:VarGet()

	if ( xValue >= lo .and. xValue <= hi )
    return (.t.)                  // 㤮⢮  
	end

  if ( Set(_SET_SCOREBOARD) )
    cMsg := ": " + Ltrim(Transform(lo, "")) + ;
      " - " + Ltrim(Transform(hi, ""))

    if ( Len(cMsg) > MaxCol() )
      cMsg := Substr( cMsg, 1, MaxCol() )
    end

    nRow := Row()
    nCol := Col()

		SetPos( SCORE_ROW, Min(60, MaxCol() - Len(cMsg)) )
		DispOut(cMsg)
    SetPos(nRow, nCol)

		while ( NextKey() == 0 )
		end

		SetPos( SCORE_ROW, Min(60, MaxCol() - Len(cMsg)) )
		DispOut( Space(Len(cMsg)) )
        SetPos(nRow, nCol)

	end

return (.f.)